Name:           qjson
Summary:        QJson is a qt-based library that maps JSON data to QVariant objects
Version:        0.8.1
Release:        %mkrel 2
License:        GPLv2
Url:            http://qjson.sourceforge.net/
Group:          Development/C
BuildRequires:  cmake
BuildRequires:  qt4-devel
Source0:        http://downloads.sourceforge.net/qjson/qjson-%{version}.tar.bz2

%description
JSON (JavaScript Object Notation) is a lightweight data-interchange format. 
It can represents integer, real number, string, an ordered sequence of value, 
and a collection of name/value pairs.
QJson is a qt-based library that maps JSON data to QVariant objects.
JSON arrays will be mapped to QVariantList instances, while JSON's objects 
will be mapped to QVariantMap.

#--------------------------------------------------------------------

%define major 0
%define libname %mklibname qjson %{major}

%package -n   %{libname}
Summary:      QJson is a qt-based library that maps JSON data to QVariant objects
Group:        System/Libraries
Provides:     %{name} = %version-%release
Obsoletes:    %{name} < 0.7.1-5

%description -n   %{libname}
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represents integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs.
QJson is a qt-based library that maps JSON data to QVariant objects.
JSON arrays will be mapped to QVariantList instances, while JSON's objects
will be mapped to QVariantMap.

%files -n   %{libname}
%_libdir/libqjson.so.%{major}*

#--------------------------------------------------------------------

%define develname %mklibname -d qjson

%package -n %{develname}
Summary:      Development files for QJson
Group:        Development/C
Requires:     %{libname} = %{version}-%{release}
Provides:     %{name}-devel = %{version}-%{release}
Obsoletes:    %{name}-devel < 0.7.1-5
Conflicts:    qjson < 0.7.1-5

%description -n %{develname}
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It can represents integer, real number, string, an ordered sequence of value,
and a collection of name/value pairs.
QJson is a qt-based library that maps JSON data to QVariant objects.
JSON arrays will be mapped to QVariantList instances, while JSON's objects
will be mapped to QVariantMap.

This package contains files for developing applications using 
QJson.

%files -n %{develname}
%{_libdir}/libqjson.so
%{_libdir}/pkgconfig/QJson.pc
%{_libdir}/cmake/qjson/
%{_includedir}/qjson

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_qt4
%make

%install
rm -rf %{buildroot}

%makeinstall_std -C build


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.8.1-2.mga3
+ Revision: 379836
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 luigiwalser <luigiwalser> 0.8.1-1.mga3
+ Revision: 338470
- 0.8.1

* Wed Jan 18 2012 mikala <mikala> 0.7.1-6.mga3
+ Revision: 197696
- Remove BuildRoot tag
- remove %%defattr() & %%clean section

* Fri Jan 14 2011 mikala <mikala> 0.7.1-5.mga1
+ Revision: 17929
- imported package qjson

